#version 330 core

uniform mat4 WorldMatrix;

layout (location = 0) in vec3 POSITION;
layout (location = 1) in vec3 NORMAL;

out vec3 normal;

void main()
{
	normal = NORMAL;
	gl_Position = WorldMatrix * vec4(POSITION, 1.0);
}
